Skip to main content
GET
/
v1
/
automations
List Automations
curl --request GET \
  --url https://api.oviond.com/v1/automations \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "parent_id": "<string>",
      "template_id": "<string>",
      "sender_id": "<string>",
      "timezone": "<string>",
      "recipients": [
        "<string>"
      ],
      "name": "<string>",
      "frequency": "<string>",
      "day": "<string>",
      "hours": "<string>",
      "minutes": "<string>",
      "paused": true,
      "time_format": "<string>",
      "date_text": "<string>",
      "last_run_status": "<string>",
      "last_run_at": "<string>",
      "next_run_at": "<string>",
      "is_deleted": true,
      "deleted_at": "<string>",
      "created_at": null
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

project_id
string

Filter by project ID

client_id
string

Filter by client ID

Response

200 - application/json

Automation list

success
enum<boolean>
required
Available options:
true
data
object[]
required